# Product Overview

This repository contains **getpkg** - a command-line package manager for the dropshell ecosystem, along with a collection of developer tools.

## Core Product
- **getpkg**: Package manager that installs tools to `~/.getpkg/` with symlinks in `~/.local/bin/getpkg/`
- Supports multiple architectures (x86_64, aarch64, universal)
- Tools are published to and downloaded from `getpkg.xyz`

## Tool Collection
The repository includes several utility tools:
- **bb64**: Bash-compatible base64 encoder/decoder with custom character set
- **dehydrate**: Converts files/directories to C++ source code for embedding
- **whatsdirty**: Git repository status checker
- **sos**: Simple object storage client
- **gp**: Git push utility

## Key Features
- Cross-platform tool distribution
- Automated installation with PATH setup
- Bash completion support
- Architecture-aware downloads with fallbacks
- Publishing system with authentication tokens